> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt. # List phone books GET https://api.synthflow.ai/v2/phonebooks List all phone books in your workspace. Reference: https://docs.synthflow.ai/api-reference/platform-api/phone-books/list-phone-books ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.synthflow.ai/v2` (Global, default) - `https://api.us.synthflow.ai/v2` (United States) - `https://api.eu.synthflow.ai/v2` (European Union) ## Response ### 200 200 - `status` (string, optional) — Whether the request was successful. - `response` (PhonebooksGetResponsesContentApplicationJsonSchemaResponse, optional) ## Types ### PhonebooksGetResponsesContentApplicationJsonSchemaResponse - `total` (double, optional) — Total number of phone books in your workspace. - `page_size` (double, optional) — Number of entries per page. - `page_number` (double, optional) — Page number. - `items` (list of PhonebooksGetResponsesContentApplicationJsonSchemaResponseItemsItems, optional) ### PhonebooksGetResponsesContentApplicationJsonSchemaResponseItemsItems - `phone_book_id` (string, optional) — Phone book ID. - `workspace_id` (string, optional) — Workspace ID. - `name` (string, optional) — Phone book name. - `entry_count` (double, optional) — Number of entries in this phone book. - `agents` (list of any, optional) — List of agents this phone book is attached to. ## Examples **Response** ```json { "status": "ok", "response": { "total": 11, "page_size": 10, "page_number": 1, "items": [ { "phone_book_id": "string", "workspace_id": "1706297038990x776227155126255600", "name": "Lus", "entry_count": 0, "agents": [ "string" ] } ] } } ``` **SDK Code** ```python import requests url = "https://api.synthflow.ai/v2/phonebooks" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.synthflow.ai/v2/phonebooks" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.synthflow.ai/v2/phonebooks") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.synthflow.ai/v2/phonebooks") .header("Authorization", "Bearer ") .asString(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.synthflow.ai/v2/phonebooks"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/phonebooks")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```